WORKS GREAT - WITHOUT "Add to Search Bar 2.2" Rated 5 out of 5 stars

Just a heads up to users of this plugin (which works amazing btw) - if you install "Add to Search Bar 2.2", it will cause this plugin to break, only showing "A plugin is needed to display this content" any time you try to use it. All you need to do to fix this is to disable the above mentioned addon and this one will return to working properly. Also, if the trick of disabling this plugin, restarting the browser, enabling this plugin and restarting the browser again *still* leaves you with the error message "A plugin is needed to display this content" every time you try and use it - please go through and disable your other extensions one by one, restarting the browser after each - and then try this addon again. You will eventually find another addon you have that is breaking this one. This addon rocks and the current issues are the fault of other addons breaking this one.